Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QHttp.State

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QHttp.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QHttp

    public static final class QHttp.State

extends java.lang.Enum
implements QtEnumerator

This enum is used to specify the state the client is in.

See also:
  `stateChanged()` , and `state()`.

See Also:
  Serialized Form

Field Summary
`static QHttp.State` | `Closing` The connection is closing down, but is not yet closed.
`static QHttp.State` | `Connected` The connection to the host is open, but the client is neither sending a request, nor waiting for a response.
`static QHttp.State` | `Connecting` An attempt to connect to the host is in progress.
`static QHttp.State` | `HostLookup` A host name lookup is in progress.
`static QHttp.State` | `Reading` The client's request has been sent and the client is reading the server's response.
`static QHttp.State` | `Sending` The client is sending its request to the server.
`static QHttp.State` | `Unconnected` There is no connection to the host.

Method Summary
`static QHttp.State` | `resolve(int value)` Returns the QHttp$State constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHttp.State` | `valueOf(java.lang.String name)`
`static QHttp.State[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Unconnected

    public static final QHttp.State Unconnected

  There is no connection to the host.

### HostLookup

    public static final QHttp.State HostLookup

  A host name lookup is in progress.

### Connecting

    public static final QHttp.State Connecting

  An attempt to connect to the host is in progress.

### Sending

    public static final QHttp.State Sending

  The client is sending its request to the server.

### Reading

    public static final QHttp.State Reading

  The client's request has been sent and the client is reading the server's response.

### Connected

    public static final QHttp.State Connected

  The connection to the host is open, but the client is neither sending a request, nor waiting for a response.

### Closing

    public static final QHttp.State Closing

  The connection is closing down, but is not yet closed. (The state will be `Unconnected` when the connection is closed.)

Method Detail

### values

    public static QHttp.State[] values()

### valueOf

    public static QHttp.State valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHttp.State resolve(int value)

  Returns the QHttp$State constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD